---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach045Agent03.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x59D80, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5BCC0, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5C0B0, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5D050, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5D060, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x8DE6, offset: 0x8DE6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x599C0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DF1, offset: 0x8DF1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x599C4, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8DFC, offset: 0x8DFC, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x599C8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E41, offset: 0x8E41, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59B20, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8EAE, offset: 0x8EAE, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x59BD8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8ECC, offset: 0x8ECC, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x59BDC, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8EE5, offset: 0x8EE5, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x59BE0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EFE, offset: 0x8EFE, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x59BE4, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8F17, offset: 0x8F17, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x59BE8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F30, offset: 0x8F30, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x59BF0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FB9, offset: 0x8FB9, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x59C00, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FD2, offset: 0x8FD2, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x59C08, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FEB, offset: 0x8FEB, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x59C10, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9004, offset: 0x9004, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x59C18, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x901D, offset: 0x901D, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x59C20, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9037, offset: 0x9037, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x59C28, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x911D, offset: 0x911D, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x59C6C, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x9136, offset: 0x9136, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x59C70, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x914F, offset: 0x914F, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x59C78, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9168, offset: 0x9168, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x59C80, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9181, offset: 0x9181, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x59C90, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x919A, offset: 0x919A, size: 0x8, addend: 0x0, symName: __ZL20eventsCounterMonitor, symObjAddr: 0x59C98, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91B3, offset: 0x91B3, size: 0x8, addend: 0x0, symName: __ZL13eventsCounter, symObjAddr: 0x59CA0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91CC, offset: 0x91CC, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x59CA8, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x921E, offset: 0x921E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2CC0, symSize: 0x80 }
  - { offsetInCU: 0x92B3, offset: 0x92B3, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2C10, symSize: 0xB0 }
  - { offsetInCU: 0x930E, offset: 0x930E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2B10, symSize: 0x100 }
  - { offsetInCU: 0x95A1, offset: 0x95A1, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2D40, symSize: 0x220 }
  - { offsetInCU: 0x9786, offset: 0x9786, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2F60, symSize: 0xA0 }
  - { offsetInCU: 0x9839, offset: 0x9839, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3000, symSize: 0x110 }
  - { offsetInCU: 0x992F, offset: 0x992F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3110, symSize: 0x150 }
  - { offsetInCU: 0x9A8C, offset: 0x9A8C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3260, symSize: 0x30 }
  - { offsetInCU: 0x9B99, offset: 0x9B99, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3290, symSize: 0x150 }
  - { offsetInCU: 0x9D91, offset: 0x9D91, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x33E0, symSize: 0x160 }
  - { offsetInCU: 0x9F31, offset: 0x9F31, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3540, symSize: 0x1B0 }
  - { offsetInCU: 0xA14C, offset: 0xA14C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x36F0, symSize: 0xA0 }
  - { offsetInCU: 0xA21B, offset: 0xA21B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3790, symSize: 0x20 }
  - { offsetInCU: 0xA252, offset: 0xA252, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x37B0, symSize: 0x20 }
  - { offsetInCU: 0xA289, offset: 0xA289, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x37D0, symSize: 0x20 }
  - { offsetInCU: 0xA3F8, offset: 0xA3F8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x37F0, symSize: 0x1A0 }
  - { offsetInCU: 0xA714, offset: 0xA714, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3990, symSize: 0x130 }
  - { offsetInCU: 0xA8C4, offset: 0xA8C4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3AC0, symSize: 0x80 }
  - { offsetInCU: 0xA98D, offset: 0xA98D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3B40, symSize: 0x6A0 }
  - { offsetInCU: 0xB522, offset: 0xB522, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x56D0, symSize: 0xB0 }
  - { offsetInCU: 0xB599, offset: 0xB599, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x41E0, symSize: 0x70 }
  - { offsetInCU: 0xB68D, offset: 0xB68D, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4250, symSize: 0xA0 }
  - { offsetInCU: 0xB798, offset: 0xB798, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x42F0, symSize: 0x40 }
  - { offsetInCU: 0xB88E, offset: 0xB88E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4330, symSize: 0x2B0 }
  - { offsetInCU: 0xBC34, offset: 0xBC34, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x45E0, symSize: 0xC0 }
  - { offsetInCU: 0xBD7A, offset: 0xBD7A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x46A0, symSize: 0x10 }
  - { offsetInCU: 0xBE3C, offset: 0xBE3C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x46B0, symSize: 0x220 }
  - { offsetInCU: 0xC139, offset: 0xC139, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x48D0, symSize: 0x150 }
  - { offsetInCU: 0xC1FC, offset: 0xC1FC, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x4A20, symSize: 0x3C0 }
  - { offsetInCU: 0xC531, offset: 0xC531, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x4DE0, symSize: 0xF0 }
  - { offsetInCU: 0xC633, offset: 0xC633, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x4ED0, symSize: 0x270 }
  - { offsetInCU: 0xC8E4, offset: 0xC8E4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x5140, symSize: 0xB0 }
  - { offsetInCU: 0xC94B, offset: 0xC94B, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x51F0, symSize: 0x1E0 }
  - { offsetInCU: 0xCB92, offset: 0xCB92, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xACF0, symBinAddr: 0x53D0, symSize: 0x180 }
  - { offsetInCU: 0xCD89, offset: 0xCD89, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getThreadName, symObjAddr: 0xAE70, symBinAddr: 0x5550, symSize: 0x180 }
  - { offsetInCU: 0xCFD6, offset: 0xCFD6, size: 0x8, addend: 0x0, symName: _VMObjectAllocHandler, symObjAddr: 0xBEE0, symBinAddr: 0x5780, symSize: 0x370 }
  - { offsetInCU: 0xD4B7, offset: 0xD4B7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC250, symBinAddr: 0x5AF0, symSize: 0x400 }
  - { offsetInCU: 0xD9E7, offset: 0xD9E7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC650, symBinAddr: 0x5EF0, symSize: 0x36A }
...
